<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="io.renren.modules.app.dao.WxjlbDao">

    <!-- 可根据自己的需求，是否要使用 -->
    <resultMap type="io.renren.modules.app.entity.WxjlbEntity" id="wxjlbMap">
                    <result property="id" column="id"/>
                    <result property="sqdbh" column="sqdbh"/>
                    <result property="dhbm" column="dhbm"/>
                    <result property="fybm" column="fybm"/>
                    <result property="sqje" column="sqje"/>
                    <result property="zsje" column="zsje"/>
            </resultMap>

    <select id="queryByPage" parameterType="io.renren.modules.app.entity.WxjlbEntity"
            resultType="io.renren.modules.app.entity.WxjlbEntity">

        select * from wxjlb where 1=1

                    <if test=" id!=null and id!='' ">
                and id like CONCAT(#{id},"%")
            </if>
                    <if test=" sqdbh!=null and sqdbh!='' ">
                and sqdbh like CONCAT(#{sqdbh},"%")
            </if>
                    <if test=" dhbm!=null and dhbm!='' ">
                and dhbm like CONCAT(#{dhbm},"%")
            </if>
                    <if test=" fybm!=null and fybm!='' ">
                and fybm like CONCAT(#{fybm},"%")
            </if>
                    <if test=" sqje!=null and sqje!='' ">
                and sqje like CONCAT(#{sqje},"%")
            </if>
                    <if test=" zsje!=null and zsje!='' ">
                and zsje like CONCAT(#{zsje},"%")
            </if>
        
    </select>
     <select id="query" parameterType="java.util.HashMap"
            resultType="io.renren.modules.app.entity.WxjlbEntity">

        select * from wxjlb where 1=1

                    <if test=" id!=null and id!='' ">
                and id like CONCAT(#{id},"%")
            </if>
                    <if test=" sqdbh!=null and sqdbh!='' ">
                and sqdbh like CONCAT(#{sqdbh},"%")
            </if>
                    <if test=" dhbm!=null and dhbm!='' ">
                and dhbm like CONCAT(#{dhbm},"%")
            </if>
                    <if test=" fybm!=null and fybm!='' ">
                and fybm like CONCAT(#{fybm},"%")
            </if>
                    <if test=" sqje!=null and sqje!='' ">
                and sqje like CONCAT(#{sqje},"%")
            </if>
                    <if test=" zsje!=null and zsje!='' ">
                and zsje like CONCAT(#{zsje},"%")
            </if>
        
    </select>
    <delete id="deleteSqdbh" parameterType="java.util.HashMap">
    DELETE FROM  wxjlb   WHERE 1=1
		 
            <if test=" sqdbh!=null and sqdbh!='' ">
                and sqdbh like CONCAT(#{sqdbh},"%")
            </if> 
</delete>


</mapper>